Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v1
Class RuntimeImpl

    java.lang.Object
      org.apache.ode.bpel.rtrep.v1.RuntimeImpl

All Implemented Interfaces:
  OdeRuntime

    public class RuntimeImpl

extends java.lang.Object
implements OdeRuntime

Constructor Summary
`RuntimeImpl()`

Method Summary
`void` | `clear()`
`java.lang.String` | `extractMatch(org.w3c.dom.Element msgData, PropertyExtractor extractor)`
`java.lang.String` | `extractProperty(org.w3c.dom.Element msgData, PropertyAliasModel aliasModel, java.lang.String target)` Extract the value of a BPEL property from a BPEL messsage variable.
`ProcessModel` | `getModel()`
`ReplacementMap` | `getReplacementMap(javax.xml.namespace.QName processName)`
`void` | `init(ProcessConf pconf, ProcessModel pmodel)` Initialize according to process configuration.
`OdeRTInstance` | `newInstance(java.lang.Object state)`
`void` | `setExtensionRegistry(java.util.Map<java.lang.String,ExtensionBundleRuntime> extensionRegistry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeImpl

    public RuntimeImpl()

Method Detail

### init

    public void init(ProcessConf pconf,
                     ProcessModel pmodel)

  Initialize according to process configuration.

  Specified by:
    `init` in interface `OdeRuntime`

### newInstance

    public OdeRTInstance newInstance(java.lang.Object state)

  Specified by:
    `newInstance` in interface `OdeRuntime`

### getReplacementMap

    public ReplacementMap getReplacementMap(javax.xml.namespace.QName processName)

  Specified by:
    `getReplacementMap` in interface `OdeRuntime`

### getModel

    public ProcessModel getModel()

  Specified by:
    `getModel` in interface `OdeRuntime`

### extractProperty

    public java.lang.String extractProperty(org.w3c.dom.Element msgData,
                                            PropertyAliasModel aliasModel,
                                            java.lang.String target)
                                     throws FaultException

  Extract the value of a BPEL property from a BPEL messsage variable.

  Specified by:
    `extractProperty` in interface `OdeRuntime`
  Parameters:
    `msgData` - message variable data
    `aliasModel` - alias to apply
    `target` - description of the data (for error logging only)
  Returns:
    value of the property
  Throws:
    `FaultException`

### extractMatch

    public java.lang.String extractMatch(org.w3c.dom.Element msgData,
                                         PropertyExtractor extractor)
                                  throws FaultException

  Specified by:
    `extractMatch` in interface `OdeRuntime`
  Throws:
    `FaultException`

### clear

    public void clear()

  Specified by:
    `clear` in interface `OdeRuntime`

### setExtensionRegistry

    public void setExtensionRegistry(java.util.Map<java.lang.String,ExtensionBundleRuntime> extensionRegistry)

  Specified by:
    `setExtensionRegistry` in interface `OdeRuntime`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD